## refpolicy 2.20240723

=== debian/changelog ===
refpolicy (2:2.20240723-2deepin13) unstable; urgency=medium

  * fix: usec: deepin_immutable_t can remount usec_immutable_fs_t
               umount管控,允许磐石mount和remount usec_immutable_fs_t.

 -- zhangya <zhangya@uniontech.com>  Thu, 20 Mar 2025 15:22:49 +0800

refpolicy (2:2.20240723-2deepin12) unstable; urgency=medium

  * fix: selinux-policy-usec postinstall failed
         /etc/selinux/usecconfig not exist

 -- zhangya <zhangya@uniontech.com>  Mon, 3 Mar 2025 17:49:49 +0800

refpolicy (2:2.20240723-2deepin11) unstable; urgency=medium

  * fix: selinux-policy-usec postinstall failed
         /etc/selinux/config not exist

 -- zhangya <zhangya@uniontech.com>  Mon, 24 Feb 2025 11:42:49 +0800

refpolicy (2:2.20240723-2deepin10) unstable; urgency=medium

  * fix:禁止对deepin_unkillable_t 进程kill任何信号
        修复防杀进程deepin_unkillable_t 仍可以通过kill SIGTERM杀进程

 -- zhangya <zhangya@uniontech.com>  Tue, 18 Feb 2025 09:47:49 +0800

refpolicy (2:2.20240723-2deepin9) unstable; urgency=medium

  * fix:核心进程防杀 修复无法kill SIGHUP信号给deepin_unkillable_t进程.

 -- zhangya <zhangya@uniontech.com>  Tue, 21 Jan 2025 17:47:49 +0800

refpolicy (2:2.20240723-2deepin8) unstable; urgency=medium

  * fix:修复immutable标签在开启网络管控后不可访问网络的问题.

 -- xiongyingrong <xiongyingrong@uniontech.com>  Wed, 08 Jan 2025 14:17:49 +0800

refpolicy (2:2.20240723-2deepin7) unstable; urgency=medium

  * fix: 添加系统核心进程防杀标签deepin_unkillable_t
  *      deepin-immutable-ctl调用umount被拦截

 -- zhangya <zhangya@uniontech.com>  Mon, 30 Dec 2024 10:08:02 +0800

refpolicy (2:2.20240723-2deepin6) unstable; urgency=medium

  * fix: 包防殺後, 可以通過systemctl disable取消服務自啓

 -- zhangya <zhangya@uniontech.com>  Tue, 10 Dec 2024 20:58:02 +0800

refpolicy (2:2.20240723-2deepin5) unstable; urgency=medium

  * add flash/initial_usids for USEC.
  * initialize usids of USEC policy. add usec_immutable_fs and deepin_usec
    sid.

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 05 Dec 2024 21:04:18 +0800

refpolicy (2:2.20240723-2deepin4) unstable; urgency=medium

  * fix application anti-unloading bug.

 -- xiongyingrong <xiongyingrong@uniontech.com>  Fri, 08 Nov 2024 10:34:25 +0800

refpolicy (2:2.20240723-2deepin3) unstable; urgency=medium

  * change to support umount control.                            

 -- xiongyingrong <xiongyingrong@uniontech.com> Thu, 31 Oct 2024 15:37:26 +0800

refpolicy (2:2.20240723-2deepin2) unstable; urgency=medium

  * usec support process unkill boolean

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 13 Sep 2024 15:18:42 +0800

refpolicy (2:2.20240723-2deepin1) unstable; urgency=medium

  * add usec policy

 -- zhouzilong <zhouzilong@uniontech.com>  Tue, 10 Sep 2024 20:15:26 +0800

refpolicy (2:2.20240723-2) unstable; urgency=medium

  * Allow chromium_t execheap access which Chrome now needs, presumably for
    JIT
  * Allow systemd_coredump_t to read cgroup dirs.  Dontaudit it for sys_admin
    capability
  * Allow all users to chat to fprintd via dbus
  * Allow boinc_t self getsched
  * Allow mysqld to read/write memory_pressure_t files
  * Label /usr/lib/openssh/sshd-session as sshd_exec_t for openssh-server >=
    1:9.8p1-1

 -- Russell Coker <russell@coker.com.au>  Thu, 01 Aug 2024 22:30:43 +1000

refpolicy (2:2.20240723-1) unstable; urgency=medium

  * Latest git policy which reorders many process permissions so lots of
    patches needed changes.  Also added haproxy module
  * Label btrfs utility as fsadm_exec_t
  * Changed to debhelper-compat in build-depends
  * Allow virtd_t anon_inode access, to read cpuid, to watch etc dirs, also
    allow it to read vm sysctls
  * Allow virtlockd_t and virtlogd_t to self getsched, to create unix dgram
    sockets, to read sysfs files, to read kernel sysfs files, stat /proc, and
    log to syslogd
  * Allow systemd_generator_t to create vsock_socket objects
  * Added some policy for fprintd_t
  * Label nm-dispatcher as NetworkManager_exec_t
  * Allow user_systemd_t etc to do netlink_route_socket operations (needed for
    KDE login)
  * Allow systemd_logind_t to search it's own proc dirs

 -- Russell Coker <russell@coker.com.au>  Fri, 26 Jul 2024 08:34:15 +1000
