## refpolicy 2.20241013

=== debian/changelog ===
refpolicy (2:2.20241013-1) unstable; urgency=medium

  * Latest git policy
  * Build-depend on python3-setools >= 4.5.1 due to upstream changes in git
    refpolicy

 -- Russell Coker <russell@coker.com.au>  Sun, 13 Oct 2024 19:00:53 +1100

refpolicy (2:2.20241008-1) unstable; urgency=medium

  * Latest git policy, types for /dev/dma_heap/* /dev/udmabuf /dev/userfaultfd
  * Allow ntpd_t to start and stop generic units for timedatectl set-ntp
  * Label /opt/microsoft/msedge/microsoft-edge
  * Remove sys_admin from cups

 -- Russell Coker <russell@coker.com.au>  Tue, 08 Oct 2024 18:44:35 +1100

refpolicy (2:2.20240919-1) unstable; urgency=medium

  * Latest git policy, systemd changes mostly for namespace resourced
  * Allow bubblewrap to use user ttys
  * Allow systemd_machine_id_setup_t to write to kmsg and have dac_override
    capability for setting systemd.machine_id on the kernel command line.
    Without this you get system hangs on boot with systemd-boot.
  * Allow user_wm_t etc to send syslog messages,
  * Allow lvm_t access to class alg_socket for cryptsetup benchmark
  * Allow daemon domains to read-write initrc_t unix stream sockets

 -- Russell Coker <russell@coker.com.au>  Sun, 22 Sep 2024 16:53:50 +1000

refpolicy (2:2.20240830-1) unstable; urgency=medium

  * Latest git policy, mostly container related changes
  * allow fwupd to write to fixed disks and fwupdmgr to dbus talk to network
    manager
  * Allow systemd_nspawn_t to sendto it's own unix dgram sockets, search
    autofs mounts, and write to systemd notify socket
  * Give ndc_t access to anon_inode and io_uring
  * Label shared objects under /opt/brother/scanner/brscan5/ as lib_t
  * Added label for /usr/libexec/qemu/qemu-bridge-helper for version
    1:9.0.2+ds-2 of qemu-system-common
  * Allow fwupd_t to get it's scheduling, create udp sockets, and read sysnet config
  * Allow rasdaemon to write sysfs files for
    /sys/devices/system/memory/soft_offline_page
  * Allow bubblewrap domains to read sysctl_t for max_user_namespaces
  * Label /usr/sbin/fsidd as nfsd_exec_t

 -- Russell Coker <russell@coker.com.au>  Fri, 30 Aug 2024 13:31:54 +1000
