## refpolicy 2.20241211

=== debian/changelog ===
refpolicy (2:2.20241211-2) unstable; urgency=medium

  * More systemd patches
  * Allow plymouthd to signal init
  * Add policy for needrestart

 -- Russell Coker <russell@coker.com.au>  Tue, 31 Dec 2024 19:14:26 +1100

refpolicy (2:2.20241211-1) unstable; urgency=medium

  * Latest git policy
  * Allow gpsd_t to getsession
  * Run gdm-runtime-config as xdm_t
  * Allow fwupd_t to watch sysctl etc and fwupdmgr_t to manage dconf dirs
  * Add filetrans pattern for systemd_passwd_agent_t creating
    systemd_passwd_runtime_t dirs under systemd_user_runtime_t dirs
  * Label /usr/libexec/gnome-remote-desktop-daemon as xdm_exec_t

 -- Russell Coker <russell@coker.com.au>  Sat, 21 Dec 2024 16:51:08 +1100

refpolicy (2:2.20241119-1) unstable; urgency=medium

  * Latest git policy
  * Allow systemd_binfmt_t to read usr files
  * Allow boinc_t to read vm sysctls
  * label the new qt6 sddm greeter

 -- Russell Coker <russell@coker.com.au>  Wed, 04 Dec 2024 23:21:34 +1100
