=== debian/control ===
--- 
+++ 
@@ -10,21 +10,22 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: bzip2,
-                     checkpolicy (>= 3.5),
+                     checkpolicy (>= 3.7),
                      gawk,
                      m4,
-                     policycoreutils (>= 3.5),
-                     policycoreutils-python-utils (>= 3.5),
+                     policycoreutils (>= 3.7),
+                     policycoreutils-python-utils (>= 3.7),
                      python3,
+		     python3-setools (>= 4.5.1),
 		     zstd
 
 Package: selinux-policy-default
 Architecture: all
-Depends: libselinux1 (>= 3.5),
-         libsemanage2 (>= 3.5),
-         libsepol2 (>= 3.5),
-         policycoreutils (>= 3.5-2),
-         selinux-utils (>= 3.5),
+Depends: libselinux1 (>= 3.7),
+         libsemanage2 (>= 3.7),
+         libsepol2 (>= 3.7),
+         policycoreutils (>= 3.7-2),
+         selinux-utils (>= 3.7),
          ${misc:Depends}
 Recommends: checkpolicy, setools
 Suggests: logcheck, syslog-summary
@@ -40,11 +41,11 @@
 
 Package: selinux-policy-mls
 Architecture: all
-Depends: libselinux1 (>= 3.5),
-         libsemanage2 (>= 3.5),
-         libsepol2 (>= 3.5),
-         policycoreutils (>= 3.5-2),
-         selinux-utils (>= 3.5),
+Depends: libselinux1 (>= 3.7),
+         libsemanage2 (>= 3.7),
+         libsepol2 (>= 3.7),
+         policycoreutils (>= 3.7-2),
+         selinux-utils (>= 3.7),
          ${misc:Depends}
 Recommends: checkpolicy, setools
 Suggests: logcheck, syslog-summary
@@ -59,30 +60,16 @@
  probably never be well supported in Debian and is only recommended for
  students who want to learn about the security features used by the military.
 
-Package: selinux-policy-usec
-Architecture: all
-Depends: libselinux1 (>= 3.5),
-         libsemanage2 (>= 3.5),
-         libsepol2 (>= 3.5),
-         policycoreutils (>= 3.5-2),
-         selinux-utils (>= 3.5),
-         ${misc:Depends}
-Recommends: checkpolicy, setools
-Suggests: logcheck, syslog-summary
-Breaks: selinux-basics (<< 0.5.2~)
-Conflicts: mcstrans
-Description: usec
-
 Package: selinux-policy-src
 Architecture: all
-Depends: checkpolicy (>= 3.5),
+Depends: checkpolicy (>= 3.7),
          gawk,
          make,
-         policycoreutils (>= 3.5),
-         policycoreutils-python-utils (>= 3.5),
+         policycoreutils (>= 3.7),
+         policycoreutils-python-utils (>= 3.7),
          python3,
          ${misc:Depends}
-Recommends: policycoreutils-dev (>= 3.5), setools
+Recommends: policycoreutils-dev (>= 3.7), setools
 Suggests: logcheck, syslog-summary
 Description: Source of the SELinux reference policy for customization
  The SELinux Reference Policy (refpolicy) is a complete SELinux
@@ -107,15 +94,15 @@
 
 Package: selinux-policy-dev
 Architecture: all
-Depends: checkpolicy (>= 3.5),
+Depends: checkpolicy (>= 3.7),
          gawk,
          m4,
          make,
-         policycoreutils (>= 3.5),
-         policycoreutils-dev (>= 3.5),
-         policycoreutils-python-utils (>= 3.5),
+         policycoreutils (>= 3.7),
+         policycoreutils-dev (>= 3.7),
+         policycoreutils-python-utils (>= 3.7),
          python3,
-         selinux-utils (>= 3.5),
+         selinux-utils (>= 3.7),
          ${misc:Depends}
 Recommends: setools
 Description: Headers from the SELinux reference policy for building modules
