## refpolicy 2.20250115

=== debian/changelog ===
refpolicy (2:2.20250115-1) unstable; urgency=medium

  * Latest git policy
  * Allow needrestart to reload init
  * Label /etc/xdg/Xwayland-session.d/* as xsession_exec_t
  * Remove the etc_t label for /var/spool/postfix/etc as postfix_master_t
    needs to write to it and we don't want to grant write access to etc_t

 -- Russell Coker <russell@coker.com.au>  Wed, 15 Jan 2025 19:22:34 +1100
